Skip to main content
GET
/
enrich
/
{enrichId}
Get Enrichment Result
curl --request GET \
  --url https://api.lemlist.com/api/enrich/{enrichId} \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.lemlist.com/api/enrich/{enrichId}"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.lemlist.com/api/enrich/{enrichId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://api.lemlist.com/api/enrich/{enrichId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'

response = http.request(request)
puts response.read_body
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.lemlist.com/api/enrich/{enrichId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Basic <encoded-value>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
{
  "enrichmentId": "enr_FPgMU8ZUVBnOZBuZ6",
  "enrichmentStatus": "done",
  "input": {
    "firstName": "John",
    "lastName": "lemlist",
    "linkedinUrl": "https://www.linkedin.com/in/lemlist",
    "companyName": "lemlist",
    "companyDomain": "lemlist.com"
  },
  "data": {
    "email": {
      "email": "john@lemlist.co",
      "notFound": false
    }
  }
}
"Bad team"
"Enrichment not found"
This endpoint retrieves the results of an enrichment request by its ID.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

enrichId
string
required

Unique enrichment ID

Response

Success

The response is of type object.